// -*- C++ -*-
/***************************************************************************
                          events.h  -  description
                             -------------------
    begin                : Fre Jun 22 17:19:03 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EVENTS_H
#define EVENTS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


enum {
  E_NOEVENT = -1,

  E_LOST_CONNECTION = 0,

  E_YOUR_TURN = 10,

  E_MOVE = 11,
  E_MOVE_PASS_GO = 12,
  E_MOVE_BACKWARDS = 13,

  E_ENTER_FIELD = 15,

  E_BUY_PROP = 20,
  E_MORTGAGE_PROP = 21,
  E_UNMORTGAGE_PROP = 22,

  E_OWNER_CHANGED = 23,

  E_PAY_RENT = 30,
  E_SHOULD_PAY_RENT = 31,
  E_RECV_RENT = 32,

  E_PAY_TAX = 35,
  E_SHOULD_PAY_TAX = 36,

  E_SETTLE_DEBTS = 45,

  E_NEW_MONOP = 50,
  E_MONOP_CHANGED = 51,
  E_MONOP_DESTROYED = 52,

  E_BUY_HOUSES = 55,
  E_SELL_HOUSES = 56,

  E_CARD_COLLECT = 60,
  E_CARD_COLLECT_FROM_ALL = 61,
  E_CARD_PAY = 62,
  E_CARD_SHOULD_PAY = 63,
  E_CARD_PAY_TO_ALL = 64,
  E_CARD_JAIL_FREE = 65,
  E_CARD_GOTO_JAIL = 66,
  E_CARD_RENOVATE_BUILDINGS = 67,
  E_CARD_SHOULD_RENOVATE_BUILDINGS = 68,
  
  E_GOTO_JAIL_ENTERED_FIELD = 80,
  E_GOTO_JAIL_ROLLED_DOUBLES = 81,

  E_LEAVE_JAIL_ROLLED_DOUBLES = 90,
  E_LEAVE_JAIL_NORMAL = 91,
  E_LEAVE_JAIL_USE_CARD = 92,
  E_LEAVE_JAIL_PAY_FINE = 93,

  E_STAY_IN_JAIL = 100,

  E_TRADE_OFFER = 110,
  E_TRADE_REPLY = 111,
  E_TRADE_AGREE = 112,
  E_TRADE_REJECT = 113,

  E_TRADE_FINISHED = 114,

  E_GO_BANKRUPT = 120,
  E_BANKRUPT_CREDITOR = 121,

  E_DIE = 130,
  E_TOGGLE_AI = 131,

  E_LAST = 255
};

#endif /* EVENTS_H */


