// -*- C++ -*-
/***************************************************************************
                          chance.h  -  description
                             -------------------
    begin                : Fre Jun 22 17:19:03 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef CHANCE_H
#define CHANCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "field.h"

class Player;
class Cardstack;


class Chance : public Field {
  
public:
  
  Chance(const int location);
  ~Chance();

  Chance(struct packet_field_init_info *);

  virtual void enter(Player *);

protected:
  
  static Cardstack *stack;

};

#endif /* CHANCE_H */
